# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=highfalls
TARGET=highfalls.tif
PROJECT_FILE=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/highfalls.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sta_2085.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stb_2086.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stc_2087.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/std_2088.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/ste_2089.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stf_2090.jpg 

# remapped images
REMAPPED_IMAGES=highfalls0000.tif highfalls0001.tif highfalls0002.tif highfalls0003.tif highfalls0004.tif highfalls0005.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f6585x2653


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


